<?php

class onipchange_sxExe extends xIExecutor {

	public function main() {
		xIPMgr::record($_SESSION['ip'] = $this->args['newIP'], $_SESSION['user'], $_SESSION['lastdate']);
		#if (!xUser::$cur->isGuest())
		#	xUser::$cur->logout();
		return 0;
	}

	public function onError($result) {
		return 0;
	}
}

class onipforbidden_sxExe extends xIExecutor {

	public function main() {
		
		return 0;
	}

	public function onError($result) {
		return 0;
	}
}